Subject: Static ls not compiling.

From: Anthony Perry <[email-masked]>
Date: Thu, 11 Jul 1996 15:03:47 -0400

Never mind . . . figured out what was wrong!

Anth :)

>Date: Thu, 11 Jul 1996 14:56:21 -0400
>To: [email-masked], [email-masked]
>From: Anthony Perry <[email-masked]>
>Subject: Static ls not compiling.
>
>
>I obtained that ftpd-ls in order to compile it for ftpd.  I encountered
this problem.
>
>ftp-cu# make
>gcc -g -DWITHIN_FTPDLS -DUSE_GETWD -DNO_GETPW -DUSE_UTIMES  -c  cmp.c
>gcc -g -DWITHIN_FTPDLS -DUSE_GETWD -DNO_GETPW -DUSE_UTIMES  -c  ls.c
>ls.c: In function `parse_nameset':
>ls.c:464: warning: passing arg 4 of `qsort' from incompatible pointer type
>gcc -g -DWITHIN_FTPDLS -DUSE_GETWD -DNO_GETPW -DUSE_UTIMES  -c  print.c
>gcc -g -DWITHIN_FTPDLS -DUSE_GETWD -DNO_GETPW -DUSE_UTIMES  -c  util.c
>gcc -g -DWITHIN_FTPDLS -DUSE_GETWD -DNO_GETPW -DUSE_UTIMES  -c  readdir.c
>gcc -g -DWITHIN_FTPDLS -DUSE_GETWD -DNO_GETPW -DUSE_UTIMES  -c  namemap.c
>gcc -static -o ls -g -DWITHIN_FTPDLS -DUSE_GETWD -DNO_GETPW -DUSE_UTIMES
cmp.o l
>s.o print.o util.o readdir.o namemap.o
>Undefined                       first referenced
> symbol                             in file
>major                               print.o
>minor                               print.o
>ld: fatal: Symbol referencing errors. No output written to ls
>*** Error code 1
>make: Fatal error: Command failed for target `ls'
>
>I have included the <types.h> in the print.c.  Working with gcc 2.7.2 and
Solaris 2.5.1 on an Ultra.  Any help would be appricated.
>Anth
Anthony Perry

**Keep your chin held high . . . 
  it gives the world a BIGGER target**